Bug 457411 - box OOM's under heavy mmap usage.
box OOM's under heavy mmap usage.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Rik van Riel
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 10:52 EDT by Josef Bacik
Modified: 2011-08-07 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-07 08:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (11.94 MB, application/octet-stream)
2008-07-31 10:52 EDT, Josef Bacik
no flags Details
oom messages (5.10 KB, text/plain)
2008-07-31 10:53 EDT, Josef Bacik
no flags Details

  None (edit)
Description Josef Bacik 2008-07-31 10:52:46 EDT
While investigating a locking order bug that resulted in a hang (bz 439548) it
was discovered that when the locking bug was fixed and the testcase was able to
continue that it would cause an OOM kill.  This problem is reproduceable upstream.

The testcase is simple, untar it, edit the VAR file to point at a blank
partition/volume that it will use, and then do sh run.sh and it will start, at
some point you will see things getting killed.  I'm also attaching a txt file
with a sample of the OOM messages I got (on an upstream kernel).
Comment 1 Josef Bacik 2008-07-31 10:52:48 EDT
Created attachment 313105 [details]
reproducer
Comment 2 Josef Bacik 2008-07-31 10:53:23 EDT
Created attachment 313106 [details]
oom messages
Comment 4 Rik van Riel 2010-11-19 17:11:20 EST
I did look at it.  I fixed it for RHEL 6 with the split LRU code.

I'm not entirely convinced it is fixable for RHEL 5, though if I come up with an idea one day I'd like to :)
Comment 5 Ronen Hod 2011-08-07 08:44:59 EDT
Too old for RHEL5.8.
Closing.

Note You need to log in before you can comment on or make changes to this bug.